com.thinkaurelius.titan.diskstorage.configuration

## Class UserModifiableConfiguration

- java.lang.Object
- - com.thinkaurelius.titan.diskstorage.configuration.UserModifiableConfiguration

- All Implemented Interfaces:
    TitanConfiguration
  Direct Known Subclasses:
    TitanFactory.Builder

      public class UserModifiableConfiguration
      extends Object
      implements TitanConfiguration

  Helper class for inspecting and modifying a configuration for Titan. It is important to `close()` the configuration when all changes have been made.
  Author:
    Matthias Broecheler (me@matthiasb.com)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `UserModifiableConfiguration.ConfigVerifier`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static UserModifiableConfiguration.ConfigVerifier` | `ALLOW_ALL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UserModifiableConfiguration(ModifiableConfiguration config)`
    `UserModifiableConfiguration(ModifiableConfiguration config, UserModifiableConfiguration.ConfigVerifier verifier)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` Closes this configuration handler
    `String` | `get(String path)` Returns a string representation of the provided configuration option or namespace for inspection.
    `ReadConfiguration` | `getConfiguration()` Returns the backing configuration as a `ReadConfiguration` that can be used to create and configure a Titan graph.
    `UserModifiableConfiguration` | `set(String path, Object value)` Sets the configuration option identified by the provided path to the given value.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ALLOW_ALL

          public static final UserModifiableConfiguration.ConfigVerifier ALLOW_ALL

  - ### Constructor Detail

    - #### UserModifiableConfiguration

          public UserModifiableConfiguration(ModifiableConfiguration config)

    - #### UserModifiableConfiguration

          public UserModifiableConfiguration(ModifiableConfiguration config,
                                     UserModifiableConfiguration.ConfigVerifier verifier)

  - ### Method Detail

    - #### getConfiguration

          public ReadConfiguration getConfiguration()

      Returns the backing configuration as a `ReadConfiguration` that can be used to create and configure a Titan graph.
      Returns:

    - #### get

          public String get(String path)

      Description copied from interface: `TitanConfiguration`
      Returns a string representation of the provided configuration option or namespace for inspection.

      An exception is thrown if the path is invalid.
      Specified by:
        `get` in interface `TitanConfiguration`
      Returns:

    - #### set

          public UserModifiableConfiguration set(String path,
                                        Object value)

      Description copied from interface: `TitanConfiguration`
      Sets the configuration option identified by the provided path to the given value.
      Specified by:
        `set` in interface `TitanConfiguration`

    - #### close

          public void close()

      Closes this configuration handler

Copyright © 2012–2014. All rights reserved.